org.apache.cassandra.io.sstable

## Class IndexHelper.IndexInfo

- java.lang.Object
- - org.apache.cassandra.io.sstable.IndexHelper.IndexInfo

- Enclosing class:
    IndexHelper

      public static class IndexHelper.IndexInfo
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.nio.ByteBuffer` | `firstName`
    `java.nio.ByteBuffer` | `lastName`
    `long` | `offset`
    `long` | `width`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexHelper.IndexInfo(java.nio.ByteBuffer firstName, java.nio.ByteBuffer lastName, long offset, long width)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IndexHelper.IndexInfo` | `deserialize(java.io.DataInput dis)`
    `long` | `memorySize()`
    `void` | `serialize(java.io.DataOutput dos)`
    `int` | `serializedSize(TypeSizes typeSizes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### width

          public final long width

    - #### lastName

          public final java.nio.ByteBuffer lastName

    - #### firstName

          public final java.nio.ByteBuffer firstName

    - #### offset

          public final long offset

  - ### Constructor Detail

    - #### IndexHelper.IndexInfo

          public IndexHelper.IndexInfo(java.nio.ByteBuffer firstName,
                               java.nio.ByteBuffer lastName,
                               long offset,
                               long width)

  - ### Method Detail

    - #### serialize

          public void serialize(java.io.DataOutput dos)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### serializedSize

          public int serializedSize(TypeSizes typeSizes)

    - #### deserialize

          public static IndexHelper.IndexInfo deserialize(java.io.DataInput dis)
                                                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### memorySize

          public long memorySize()

Copyright © 2014 The Apache Software Foundation